Skip to content

Get User groups list

GET
/api/v1/iam/groups/
curl --request GET \
--url 'https://api.e2enetworks.com/myaccount/api/v1/iam/groups/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>'

Retrieves a list of User groups with their members.

project_id
required
integer
location
required
string
Allowed values: Delhi Chennai

Deployment region for the resource. Accepted values: Delhi, Chennai.

Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.

page_no
integer

The page number from which you want your page search results to be displayed.

per_page
integer

Number of results per page

Successful retrieval of IAM groups

Media typeapplication/json
object
code
integer
data
Array<object>
object
id
integer
name
string
zabbix_user_group_id
integer
member
Array<object>
object
id
integer
iam_user
object
member_id
integer
name
string
email
string
role
string
iam_type
string
invitation_status
string
allowed_to_edit_by_current_user
boolean
nullable
date_joined
string format: date-time
date_removed
string format: date-time
nullable
errors
object
key
additional properties
any
message
string

Example

{
"code": 200,
"errors": {},
"message": "Success"
}